define("ace/snippets/python",["require","exports","module"], function(require, exports, module) {
"use strict";

exports.snippetText = "\n\
snippet import\n\
	import ${1:module}\n\
snippet from\n\
	from ${1:package} import ${2:module}\n\
snippet while\n\
	while ${1:condition}:\n\
		${2:# TODO: write code...}\n\
snippet with\n\
	with ${1:expr} as ${2:var}:\n\
		${3:# TODO: write code...}\n\
# New Class\n\
snippet class\n\
	class ${1:ClassName}(${2:object}):\n\
		\"\"\"${3:docstring for $1}\"\"\"\n\
		def __init__(self, ${4:arg}):\n\
			${5:super($1, self).__init__()}\n\
			self.$4 = $4\n\
			${6}\n\
# New Function\n\
snippet def\n\
	def ${1:fname}(${2:`indent('.') ? 'self' : ''`}):\n\
		${3:# TODO: write code...}\n\
# Ifs\n\
snippet if\n\
	if ${1:condition}:\n\
		${2:# TODO: write code...}\n\
snippet else\n\
	else:\n\
		${1:# TODO: write code...}\n\
snippet elif\n\
	elif ${1:condition}:\n\
		${2:# TODO: write code...}\n\
# For\n\
snippet for\n\
	for ${1:item} in ${2:items}:\n\
		${3:# TODO: write code...}\n\
# Lambda\n\
snippet lambda\n\
	${1:var} = lambda ${2:vars} : ${3:action}\n\
snippet try except\n\
	try:\n\
		${1:# TODO: write code...}\n\
	except ${2:Exception}, ${3:e}:\n\
		${4:raise $3}\n\
";
exports.scope = "python";

});
